<template>
  <div class="main p-top-60" :class="{'mobile': isMobile()}">
    <a-breadcrumb v-if="!isMobile()">
      <a-breadcrumb-item>
        <router-link to="/home">Home</router-link>
      </a-breadcrumb-item>
      <a-breadcrumb-item>
        <router-link to="/shopping">Shopping</router-link>
      </a-breadcrumb-item>
      <a-breadcrumb-item>Product detail</a-breadcrumb-item>
    </a-breadcrumb>
    <h1 class="product-name" v-if="!isMobile()">Product name</h1>
    <a-row :gutter="16">
      <a-col :span="24" :md="{ span: 12 }" v-if="isMobile()">
        <a-carousel dots-class="slick-dots slick-thumb">
          <a slot="customPaging" slot-scope="props">
            <img src="img/product.jpg"/>
          </a>
          <div v-for="(item, ind) in 4" :key="ind">
            <img src="img/product.jpg"/>
          </div>
        </a-carousel>
        <h1 class="product-name" v-if="isMobile()">Product name</h1>
        <div class="product-price">3,200,000 VND</div>
      </a-col>
      <a-col :span="24" :md="{ span: 12 }">
        <p class="product-desc">
          Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's
          standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to
          make
          a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting,
          remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets
          containing
          Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including
          versions
          of Lorem Ipsum.
          <br>
          <br>
          Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's
          standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to
          make
          a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting,
          remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets
          containing
          Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including
          versions
          of Lorem Ipsum.
          <br>
          <br>
          Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's
          standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to
          make
          a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting,
          remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets
          containing
          Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including
          versions
          of Lorem Ipsum.
        </p>
        <br>
        <br>
        <div class="btn-group d-flex justify-content-between action-btn">
          <a-button class="btn square-btn big-btn ant-btn flex-grow-1" @click="addToCard">Add to cart</a-button>
          <a-button class="btn square-btn big-btn ant-btn flex-grow-1" @click="buy">Buy</a-button>
        </div>
      </a-col>
      <a-col :span="24" :md="{ span: 12 }" class="visible" v-if="!isMobile()">
        <a-carousel dots-class="slick-dots slick-thumb">
          <a slot="customPaging" slot-scope="props">
            <img src="img/product.jpg"/>
          </a>
          <div v-for="(item, ind) in 4" :key="ind">
            <img src="img/product.jpg"/>
          </div>
        </a-carousel>
        <div class="product-price">3,200,000 VND</div>
      </a-col>
    </a-row>
  </div>
</template>

<script>

export default {
  data() {
    return {
      title: 'Products',
    }
  },

  methods: {
    isMobile() {
      if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
        return true
      } else {
        return false
      }
    },
    addToCard() {
      this.$router.push({name: 'Checkout'})
    },
    buy() {
      this.$router.push({name: 'Checkout'})
    }
  },
}

</script>

<style scoped>
@import "../../css/default.css";

.btn{
  font-size: 20px;
  font-weight: 400!important;
}
.product-name {
  font-size: 2em;
  color: white;
}

.product-desc {
  font-weight: 200;
}

/* For demo */
.ant-carousel >>> .slick-dots {
  height: auto;
}

.ant-carousel >>> .slick-slide img {
  display: block;
  margin: auto;
  max-width: 80%;
}

.ant-carousel >>> .slick-thumb {
  bottom: -45px;
}

.ant-carousel >>> .slick-thumb li {
  width: 45px;
  height: 45px;
}

.ant-carousel >>> .slick-thumb li img {
  width: 100%;
  height: 100%;
  filter: grayscale(100%);
}

.ant-carousel >>> .slick-thumb li.slick-active img {
  filter: grayscale(0%);
}

.product-price {
  margin-top: 65px;
  text-align: center;
  font-size: 1.8em;
}

/* Mobile Style */
.main.mobile {
  padding-bottom: 60px;
}
.mobile .ant-carousel >>> .slick-slide img {
  width: 80%;
}
.mobile .product-name {
  font-weight: 500;
  font-size: 18px;
  line-height: 24px;
  color: #FFFFFF;
  margin-top: 80px;
}
.mobile .product-price {
  font-size: 16px;
  line-height: 24px;
  color: #FFFFFF;
  margin: 0;
  text-align: left;
  margin-bottom: 12px;
}
.mobile .action-btn button {
  flex-basis: 40%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 500;
  font-size: 18px;
  color: #000000;
  height: 45px !important;
}
</style>
